python-llvmlite_0.19.0-2_i386.deb


Advertisement

Description

python-llvmlite - LLVM Python binding for writing JIT compilers

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name python-llvmlite
Package version 0.19.0
Package release 2
Package architecture i386
Package type deb
Installed size 419 B
Download size 81.42 KB
Official Mirror archive.ubuntu.com
llvmlite uses the LLVM library for JIT (just-in-time) compilation of
Python code into native machine instructions during runtime. Instead
of exposing large parts of the LLVM C++ API for direct calls into the
LLVM library, llvmlite follows a lightweight multi-layered approach.
This package contains the modules and the binding for Python 2.

Alternatives

Package Version Architecture Repository
python-llvmlite_0.19.0-2_amd64.deb 0.19.0 amd64 Ubuntu Universe
python-llvmlite - - -

Requires

Name Value
libc6 >= 2.3.6-6~
libllvm4.0 >= 1:4.0~
libstdc++6 >= 5.2
llvm-4.0 -
python << 2.8
python >= 2.7~
python-enum34 -
python-six -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package python-llvmlite_0.19.0-2_i386.deb
Source Package llvmlite

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-llvmlite deb package:
    # sudo apt-get install python-llvmlite

Files

Path
/usr/lib/python2.7/dist-packages/llvmlite/__init__.py
/usr/lib/python2.7/dist-packages/llvmlite/_version.py
/usr/lib/python2.7/dist-packages/llvmlite/utils.py
/usr/lib/python2.7/dist-packages/llvmlite-0.19.0.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/llvmlite-0.19.0.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/llvmlite-0.19.0.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/llvmlite-0.19.0.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/llvmlite/binding/__init__.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/_stub.so
/usr/lib/python2.7/dist-packages/llvmlite/binding/analysis.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/common.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/dylib.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/executionengine.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/ffi.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/initfini.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/libllvmlite.so
/usr/lib/python2.7/dist-packages/llvmlite/binding/linker.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/module.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/object_file.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/options.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/passmanagers.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/targets.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/transforms.py
/usr/lib/python2.7/dist-packages/llvmlite/binding/value.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/__init__.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/_utils.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/builder.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/context.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/instructions.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/module.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/transforms.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/types.py
/usr/lib/python2.7/dist-packages/llvmlite/ir/values.py
/usr/lib/python2.7/dist-packages/llvmlite/llvmpy/__init__.py
/usr/lib/python2.7/dist-packages/llvmlite/llvmpy/core.py
/usr/lib/python2.7/dist-packages/llvmlite/llvmpy/passes.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/__init__.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/__main__.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/customize.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/test_binding.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/test_ir.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/test_llvmpy.py
/usr/lib/python2.7/dist-packages/llvmlite/tests/test_valuerepr.py
/usr/share/doc/python-llvmlite/README.rst
/usr/share/doc/python-llvmlite/changelog.Debian.gz
/usr/share/doc/python-llvmlite/copyright

Changelog

2017-07-16 - Daniel Stender <stender@debian.org>
llvmlite (0.19.0-2) unstable; urgency=medium
* Upload to unstable.
2017-07-16 - Daniel Stender <stender@debian.org>
llvmlite (0.19.0-1) experimental; urgency=medium
* New upstream release:
+ unfuzz use-system-six.patch.
* use debhelper level 10 (changes in deb/compat and deb/control).
* deb/copyright: use https in Format field.
* deb/rules: add switch to regard DEB_BUILD_OPTIONS=nodoc.
* bump standards version to 4.0.0 (no further changes needed).
2017-05-27 - Daniel Stender <stender@debian.org>
llvmlite (0.18.0-1) experimental; urgency=medium
* New upstream release.
* deb/control:
+ bump deps to llvm-4.0.
+ build-depend on Python dev packages.
* deb/rules: bump LLVM_CONFIG to llvm-4.0.
* drop skip-TestDependencies.patch (now skipped by default).
2017-05-26 - Daniel Stender <stender@debian.org>
llvmlite (0.16.0-1) unstable; urgency=medium
* New upstream release.
* deb/clean: fix a typo.
* deb/control: build against llvm-3.9-dev.
* deb/copyright: expand copyright span.
* deb/rules: bump LLVM_CONFIG to llvm-3.9.
* drop tests-add-libtinfo-to-expected-libs.patch.
* add skip-TestDependencies.patch.
2016-12-29 - Daniel Stender <stender@debian.org>
llvmlite (0.15.0+git20161228.95d8c7c-2) unstable; urgency=medium
* Uploaded to unstable.
2016-12-29 - Daniel Stender <stender@debian.org>
llvmlite (0.15.0+git20161228.95d8c7c-1) experimental; urgency=medium
* build with latest development snapshot (Closes: #849499).
2016-12-24 - Daniel Stender <stender@debian.org>
llvmlite (0.14.0-3) experimental; urgency=medium
* remove failsafe from tests.
2016-12-20 - Daniel Stender <stender@debian.org>
llvmlite (0.14.0-2) experimental; urgency=medium
* deb/rules: add override for dh_auto_test (temporarily safed).
* add debian/source/options (with extend-diff-ignote for ffi/*.dwo).
2016-12-06 - Daniel Stender <stender@debian.org>
llvmlite (0.14.0-1) experimental; urgency=medium
* New upstream release:
+ unfuzz use-system-six.patch.
2016-09-04 - Daniel Stender <stender@debian.org>
llvmlite (0.13.0-2) experimental; urgency=medium
* tests-add-libtinfo-to-expected-libs.patch: add more expected deps,
needed by the supported archs.

See Also

Package Description
python-lmdb_0.86-1build4_i386.deb Python binding for LMDB Lightning Memory-Mapped Database
python-lmfit-doc_0.9.5+dfsg-2_all.deb Least-Squares Minimization with Constraints (Documentation)
python-lmfit_0.9.5+dfsg-2_all.deb Least-Squares Minimization with Constraints (Python 2)
python-logbook-doc_0.12.3-1_all.deb logging system for Python that replaces the standard library's module (doc)
python-logbook_0.12.3-1_all.deb logging system for Python that replaces the standard library's module
python-logging-tree_1.4-1_all.deb introspect and display the logging tree in Python
python-loggingx_0.1.3-1.1build1_all.deb Generic utilities for the Python logging facility
python-logilab-common_1.3.0-1_all.deb useful miscellaneous modules used by Logilab projects
python-logilab-constraint_0.5.0-2_all.deb constraints satisfaction solver in Python
python-logsparser_0.4-1_all.deb Python library for log parsing, tagging and analysis
python-loofah_0.1-1_all.deb debile helper to rebuild a set of existing packages
python-louie_1.1-3_all.deb Python signal dispatching mechanism
python-louis_3.0.0-3ubuntu1_all.deb Python bindings for liblouis
python-ltsp_0.2-0ubuntu3_all.deb provides ltsp related functions
python-lua_0.3-1.1_all.deb library for using lua scripts from python
Advertisement
Advertisement